# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/Pg.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(PGObject/Util/PGConfig.pm) perl(PGObject/Util/Replication/Slot.pm) perl(Test/Exception.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name PGObject-Util-Replication-Master
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Manage Database Masters
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EI/EINHVERFR/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

    use PGObject::Util::Replication::Master;

    my $masterdb = PGObject::Util::Replication::Master->new(
                     host => 'localhost',
                     port => 5432,
   );

   # also slot management
   $master->slots();
   $master->addslot('slotname');
   $master->removeslot('slotname');
%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%changelog
* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

